from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFileIdentifierConverter(XInterface, Protocol):
    def getFileProviderLocality(self, BaseURL: str) -> int: ...
    def getFileURLFromSystemPath(self, BaseURL: str, SystemPath: str) -> str: ...
    def getSystemPathFromFileURL(self, URL: str) -> str: ...
